Product Catalog Vehicles
Updated: Aug 27, 2024
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
Retrieve vehicles from a product catalog.
Example
GET /v25.0/{product-catalog-id}/vehicles HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
bulk_paginationboolean |
Used for iterating over the edge in large chunks
|
filterA JSON-encoded rule |
JSON-encoded WCA rule expression representing the filter to be applied for the edge
|
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of Vehicle nodes.
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=total_count).
| Field | Description |
|---|---|
total_countunsigned int32 |
Total number of vehicles returned by the query
|
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
Creating
/{product_catalog_id}/vehicles
You can make a POST request to vehicles edge from the following paths:
When posting to this edge, a ProductCatalog will be created.
Parameters
| Parameter | Description |
|---|---|
addressJSON object |
address
required city stringDefault value: ""
city
city_id string
city_id
country stringDefault value: ""
country
latitude float
latitude
longitude float
longitude
neighborhoods array<string>
neighborhoods
postal_code stringDefault value: ""
postal_code
region stringDefault value: ""
region
street_address stringDefault value: ""
street_address
Show child parameters |
applinksObject |
applinks
web android ios ipad iphone windows_phone Show child parameters |
availabilityenum {AVAILABLE, NOT_AVAILABLE, PENDING, UNKNOWN} |
availability
|
body_styleenum {CONVERTIBLE, COUPE, CROSSOVER, ESTATE, GRANDTOURER, HATCHBACK, MINIBUS, MINIVAN, MPV, PICKUP, ROADSTER, SALOON, SEDAN, SMALL_CAR, SPORTSCAR, SUPERCAR, SUPERMINI, SUV, TRUCK, VAN, WAGON, OTHER, NONE} |
body_style
required |
conditionenum {EXCELLENT, VERY_GOOD, GOOD, FAIR, POOR, OTHER, NONE} |
condition
|
currencyISO 4217 Currency Code |
currency
required |
date_first_on_lotstring |
date_first_on_lot
|
dealer_idstring |
dealer_id
|
dealer_namestring |
dealer_name
|
dealer_phonestring |
dealer_phone
|
descriptionstring |
description
required |
drivetrainenum {TWO_WD, FOUR_WD, AWD, FWD, RWD, OTHER, NONE} |
drivetrain
|
exterior_colorstring |
exterior_color
required |
fb_page_idstring |
fb_page_id
|
fuel_typeenum {DIESEL, ELECTRIC, GASOLINE, FLEX, HYBRID, OTHER, PETROL, PLUGIN_HYBRID, NONE} |
fuel_type
|
imageslist<Object> |
images
required image_url URLrequired tags list<string>Show child parameters |
interior_colorstring |
interior_color
|
makestring |
make
required |
mileageJSON object |
mileage
required unit enum {KILOMETERS, MILES}Default value: "MILES"
unit
value int64Default value: 0
value
Show child parameters |
modelstring |
model
required |
priceint64 |
price
required |
state_of_vehicleenum {NEW, USED, CPO} |
state_of_vehicle
required |
titlestring |
title
required |
transmissionenum {AUTOMATIC, MANUAL, OTHER, NONE} |
transmission
|
trimstring |
trim
|
urlURI |
url
required |
vehicle_idstring |
vehicle_id
required |
vehicle_typeenum {BOAT, CAR_TRUCK, COMMERCIAL, MOTORCYCLE, OTHER, POWERSPORT, RV_CAMPER, TRAILER} |
vehicle_type
|
vinstring |
vin
required |
yearint64 |
year
required |
Return Type
This endpoint supports read-after-write and will read the node represented by id in the return type.
Struct {
id: numeric string,
}
Error Codes
| Error Code | Description |
|---|---|
10800 | Duplicate retailer_id when attempting to create a store collection |
100 | Invalid parameter |
200 | Permissions error |
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.